Bug 199262 - can't cleanly exit shell from FC5 rescue CD
can't cleanly exit shell from FC5 rescue CD
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
https://www.redhat.com/archives/anaco...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-18 10:26 EDT by Adam Monsen
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-19 14:53:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Monsen 2006-07-18 10:26:11 EDT
Description of problem:
I can't cleanly exit the shell of the Fedora Core 5 rescue CD. When I type in
'exit' and hit enter, I see the following:

sh-3.1# exit
logout

...and nothing happens.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. boot to Fedora Core 5 rescue CD
2. type 'linux rescue' at the prompt and hit ENTER
3. choose language = English
4. choose keyboard = us
5. don't start up network interfaces
6. don't try to find existing installations
7. at the shell prompt, type 'exit' and hit ENTER
  
Actual results:
system hangs after 'logout' is printed to the console

Expected results:
system reboots cleanly

Additional info:
'shutdown -r now' doesn't work, either:

sh-3.1# shutdown -r now
(running in test mode).
Greetings.
anaconda installer init version 11.0.5 starting
mounting /proc filesystem... done
creating /dev filesystem... done
mounting /dev/pts (unix98 pty) filesystem... done
mounting /sys filesystem... done
sh-3.1#

Here is a workaround that appears to work: killing the 'init' process with a SIGINT:

sh-3.1# kill -INT 1

Or using an 'init' symlink:

sh-3.1# cd /tmp
sh-3.1# ln -s /bin/init reboot
sh-3.1# ./reboot
Comment 1 Jeremy Katz 2006-07-19 14:53:58 EDT
Fixed in CVS (although you'll want to use reboot instead of shutdown)

Note You need to log in before you can comment on or make changes to this bug.